[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'RttiUtils' (#fcl)

# TPropsStorage.OnWriteString

Write a string value to storage

## Declaration

Source position: rttiutils.pp line 124

`public property TPropsStorage.OnWriteString : TWriteStrEvent read FOnWriteString write FOnWriteString;`

## Description

OnWriteString is the event handler called whenever TPropsStorage needs to write a string to storage. It should be set whenever properties need to be stored, or an exception will be raised.

## See also

OnReadString |  | Read a string value from storage
OnEraseSection |  | Erase a section in storage
TWriteStrEvent |  | Write a string to storage